using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using rockfishCore.Util;

namespace rockfishCore.Controllers
{
    [Produces("application/json")]
    [Route("api/meta")]    
    public class ApiMetaController : Controller
    {       
        //This controller is for fetching information *about* the server and the api itself

        public ApiMetaController()
        {
            
        }



        // GET: api/meta/serverversion
        [HttpGet("server_version")]
        public ActionResult Get()
        {           
            return Ok(new {server_version=RfVersion.NumberOnly});
            
        }





      
    }
}